{ config, ... }:

{
  # https://wiki.nixos.org/wiki/Forgejo
  services.forgejo = {
    enable = true;

    stateDir = config.mine.zfsMounts."rpool/safe/svcs/forgejo";

    settings = {
      server = {
        DOMAIN = "git.fricloud.dk";
        ROOT_URL = "https://git.fricloud.dk";
        HTTPPORT = 3000;
      };

      service.DISABLE_REGISTRATION = true;
    };
    
  };

  services.nginx = {
    virtualHosts."git.fricloud.dk" = {
      forceSSL = true;
      enableACME = true;
      extraConfig = ''
        client_max_body_size 512M;
      '';
      locations."/".proxyPass = "http://localhost:3000";
    };
  };
}
