{
  services.zrepl = {
    enable = true;
    settings.jobs = [
      {
        type = "push";
        name = "safesnapshots";

        filesystems = [
          "rpool/safe<"
        ];

        snapshotting = {
          type = "periodic";
          interval = "5m";
          prefix = "zrepl_";
        };

        pruning = {
          keep_sender = [
            {
              type = "grid";
              regex = "^zrepl_.*";

              # 1. keep all snapshots for 30 minutes
              # 2. keep one every 15 minutes for 2 hours
              # 3. keep one every hour for 1 day
              grid = "1x30m(keep=all) | 8x15m | 14x1d";
            }
          ];
        };
      }
    ];
  };
}
